/*
 * Copyright 2017 Igor Maznitsa.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.igormaznitsa.jbbp.model;

import com.igormaznitsa.jbbp.io.JBBPBitNumber;

/**
 * The Interface describes a field which contains data which width is lesser or equals byte.
 *
 * @since 1.0
 */
public interface BitEntity {
  /**
   * Get the width of the field.
   *
   * @return the width of the field, must not be null
   */
  JBBPBitNumber getBitWidth();
}
